Permalink
Browse files

now using ember-rails gem to include ember.js and to compile handleba…

…rs templates
  • Loading branch information...
dgeb committed Jan 4, 2012
1 parent dfd6d41 commit b448f8b83f21e6ea0a6ab0692647ce6d91a55f7b
View
@@ -17,6 +17,7 @@ group :assets do
end
gem 'jquery-rails'
+gem 'ember-rails', '>= 0.2.1'
# To use ActiveModel has_secure_password
# gem 'bcrypt-ruby', '~> 3.0.0'
View
@@ -39,6 +39,7 @@ GEM
coffee-script-source
execjs
coffee-script-source (1.2.0)
+ ember-rails (0.2.1)
erubis (2.7.0)
execjs (1.2.13)
multi_json (~> 1.0)
@@ -110,6 +111,7 @@ PLATFORMS
DEPENDENCIES
coffee-rails (~> 3.1.1)
+ ember-rails (>= 0.2.1)
jquery-rails
rails (= 3.1.3)
sass-rails (~> 3.1.5)
@@ -1,3 +0,0 @@
-require 'sprockets/handlebars_template'
-
-Rails.application.assets.register_engine 'hjs', HandlebarsTemplate
@@ -1,15 +0,0 @@
-require 'tilt'
-require 'json'
-
-class HandlebarsTemplate < Tilt::Template
- def self.default_mime_type
- "application/javascript"
- end
-
- def prepare
- end
-
- def evaluate(scope, locals, &block)
- "SC.TEMPLATES['#{scope.logical_path}'] = SC.Handlebars.compile(#{data.to_json})"
- end
-end
No changes.
Oops, something went wrong.

0 comments on commit b448f8b

Please sign in to comment.